//
#include <stdlib.h>
#include <fenv.h>
#include <iostream>
#include <vector>
#include <fstream>
#include <string>

#include <argstream.h>
#include "ModeEqWidget.h"

using namespace std ;

int main(int argc,char *argv[])
{
	feenableexcept(FE_DIVBYZERO) ;
	feenableexcept(FE_INVALID) ;

	try
	{
		argstream as(argc,argv) ;

		string filename(".") ;

		as >> parameter('p',"path",filename,"path where to find the input data (Luminance and RGB channels)",false)
			>> help() ;

		as.defaultErrorHandling() ;

		// Read command lines arguments.
		QApplication application(argc,argv);

		// Instantiate the viewer.
		ModeEqWidget w(filename) ;
		w.setWindowTitle("Recompose Images");

		// Make the viewer window visible on screen.
		w.show();

		// Run main loop.
		return application.exec();
	}
	catch(exception& e)
	{
		cout << "Exception never handled: " << e.what() << endl ;
	}
	return 0 ;
}

